import React, { useMemo } from 'react';
import moment from 'moment';
import { TimePicker } from 'antd';

export default function TimePickerDiy(props) {
	const { value, onChange, json } = props;
	const otherProps = useMemo(
		() => {
			if (json?.otherProps) {
				let v = json?.otherProps;
				try {
					return new Function(v)();
				} catch (e) {
					return {};
				}
			}
			return {};
		},
		[json],
	);

	const changeValue = useMemo(
		() => {
			if (value) {
				return moment(value);
			} else {
				return null;
			}
		},
		[value],
	);

	const handleChange = (v) => {
		if (v) {
			onChange(v.format('HH:mm:ss'));
		} else {
			onChange(null);
		}
	};

	return <TimePicker value={changeValue} onChange={handleChange} {...otherProps} />;
}
